%global install_loc    %{_datadir}/eclipse/dropins/testframework
%global tag            R4_2

%global easymockVerQual 2.4.0.v20090202-0900

Name:           eclipse-testframework
Version:        4.2.0
Release:        %mkrel 1
Summary:        Eclipse Test Framework

Group:          Development/Java
License:        EPL
URL:            http://eclipse.org
## sh %{name}-fetch-src.sh %{tag}
Source0:        %{name}-fetched-src-%{tag}.tar.bz2
Source1:        %{name}-fetch-src.sh
# Remove win32 fragment from test feature
Patch0:         %{name}-nowin32testfragment.patch
# Some fixes for library.xml
# FIXME:  submit parts of this upstream to make tests pwd-agnostic
Patch1:         %{name}-libraryXml.patch
# Fedora doesn't ship the shared license feature
Patch2:         %{name}-nosharedlicense.patch
# Fedora doesn't have a .source bundle for easymock
Patch3:         %{name}-noeasymocksource.patch

BuildArch: noarch

BuildRequires: eclipse-pde >= 4.2.0-6
BuildRequires: easymock2
Requires: eclipse-platform >= 4.2.0-6
Requires: easymock2
Requires: eclipse-jdt

%description
Eclipse Test Framework. Used in conjunction with Eclipse JUnit tests.

%prep
%setup -q -n %{name}-fetched-src-%{tag}
%patch0
%patch1
%patch2
%patch3
sed -i "s:/usr/lib/eclipse:%{_eclipse_base}:" org.eclipse.test/library.xml

mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/easymock2.jar org.easymock_%{easymockVerQual}.jar
popd

%build
eclipse-pdebuild -f org.eclipse.test -o `pwd`/orbitDeps

%install
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.test.zip

pushd $RPM_BUILD_ROOT%{install_loc}/eclipse/plugins
rm -fr org.junit*
rm org.easymock_%{easymockVerQual}.jar
ln -s ../../../../../java/easymock2.jar org.easymock_%{easymockVerQual}.jar
rm -fr org.hamcrest.core_*
ln -s /usr/share/java/hamcrest/core.jar
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.eclipse.test/about.html



%changelog

* Sat Jan 19 2013 dmorgan <dmorgan> 4.2.0-1.mga3
+ Revision: 389634
- New version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 dmorgan <dmorgan> 3.6.1-2.mga1
+ Revision: 98107
- imported package eclipse-testframework


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 7 2010 Chris Aniszczyk <zx@redhat.com> 3.6.1-1
- Update to 3.6.1.

* Wed Jul 14 2010 Alexander Kurtakov <akurtako@redhat.com> 3.6.0-1
- Update to 3.6.

* Mon Aug 31 2009 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-3
- Move library.xml patch from eclipse srpm.

* Fri Aug 21 2009 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-2
- Fix non-standard-dir-perm.

* Mon Aug 17 2009 Alexander Kurtakov <akurtako@redhat.com> 3.5.0-1
- Initial package.
